Bug 150033 - Wrong size reported for large filesystems
Wrong size reported for large filesystems
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Viro
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-03-01 15:41 EST by Karen Bruner
Modified: 2007-11-30 17:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-10-19 15:06:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Karen Bruner 2005-03-01 15:41:41 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.5) Gecko/20041107 Firefox/1.0

Description of problem:
We have a network filesystem ~45Tb in size, mounted as an smbfs share.  df or any compiled program using the statvfs call reports the size as 17Tb on one machine we have that was installed as RH EL 3 ES, update 3, but is running the 2.4.21-27.0.2.EL kernel.  On another machine running the same kernel but installed from the update 4 ISOs, a C program using statvfs reports the same size, but df reports the filesystem size as 73786976294837944320Kb.  The filesystem is accessible.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Mount a network filesystem >17Tb in size
2. Run df

Actual Results:  On one machine:

Filesystem           1K-blocks      Used Available Use% Mounted on
//server/fs          17179607040 10539761664 6639845376  62% /mountpoint

On the other:
 Filesystem           1K-blocks      Used Available Use% Mounted on
//server/fs   73786976294837944320 73786976288198098944 6639845376 100% /mountpoint

Expected Results:  df should have accurately reported the size as 45Tb.

Additional info:

Filesystem size is 45Tb, usage at this time is 39Tb.
Both machines have the same version of df (coreutils-4.5.3-26).  They are different hardware, and machines of the same hardware with the same configuration display the same flavor of incorrect information.
Comment 2 RHEL Product and Program Management 2007-10-19 15:06:49 EDT
This bug is filed against RHEL 3, which is in maintenance phase.
During the maintenance phase, only security errata and select mission
critical bug fixes will be released for enterprise products. Since
this bug does not meet that criteria, it is now being closed.
For more information of the RHEL errata support policy, please visit:
If you feel this bug is indeed mission critical, please contact your
support representative. You may be asked to provide detailed
information on how this bug is affecting you.

Note You need to log in before you can comment on or make changes to this bug.